org.springframework.data.domain.jaxb

## Class PageAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<SpringDataJaxb.PageDto,Page<Object>>
  - - org.springframework.data.domain.jaxb.PageAdapter

    public class PageAdapter
    extends XmlAdapter<SpringDataJaxb.PageDto,Page<Object>>

`XmlAdapter` to convert `Page` instances into `SpringDataJaxb.PageDto` instances and vice versa.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`PageAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<org.springframework.hateoas.Link>` `getLinks(Page<?> source)` Return additional links that shall be added to the `SpringDataJaxb.PageDto`.
`SpringDataJaxb.PageDto` `marshal(Page<Object> source)`
`Page<Object>` `unmarshal(SpringDataJaxb.PageDto v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageAdapter

    public PageAdapter()

### Method Detail

#### marshal

    @Nullable
    public SpringDataJaxb.PageDto marshal(@Nullable
                                                    Page<Object> source)

Specified by:
  `marshal` in class `XmlAdapter<SpringDataJaxb.PageDto,Page<Object>>`

#### unmarshal

    @Nullable
    public Page<Object> unmarshal(@Nullable
                                            SpringDataJaxb.PageDto v)

Specified by:
  `unmarshal` in class `XmlAdapter<SpringDataJaxb.PageDto,Page<Object>>`

#### getLinks

    protected List<org.springframework.hateoas.Link> getLinks(Page<?> source)

Return additional links that shall be added to the `SpringDataJaxb.PageDto`.

Parameters:
  `source` - the source `Page`.
Returns: